com.aliyun.svideosdk.common.struct.common

## Class AliyunAudioClip

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunAudioClip

-     public class AliyunAudioClip
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunAudioClip(int id, long startTime, java.lang.String filePath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取时长 单位：毫秒
    `long` | `getEndTime()` 结束时间 单位：毫秒
    `java.lang.String` | `getFilePath()`
    `int` | `getId()`
    `long` | `getStartTime()` 开始时间 单位：毫秒
    `void` | `setEndTime(long endTime)`
    `void` | `setFilePath(java.lang.String filePath)`
    `void` | `setId(int id)`
    `void` | `setStartTime(long startTime)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunAudioClip

          public AliyunAudioClip(int id,
                                 long startTime,
                                 java.lang.String filePath)

  - ### Method Detail

    - #### getStartTime

          public long getStartTime()

      开始时间 单位：毫秒

    - #### setStartTime

          public void setStartTime(long startTime)

    - #### getEndTime

          public long getEndTime()

      结束时间 单位：毫秒

    - #### setEndTime

          public void setEndTime(long endTime)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getFilePath

          public java.lang.String getFilePath()

    - #### setFilePath

          public void setFilePath(java.lang.String filePath)

    - #### getDuration

          public long getDuration()

      获取时长 单位：毫秒

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`